Package fr.gouv.vitam.worker.common.utils

# Class LogbookLifecycleWorkerHelper

java.lang.Object
fr.gouv.vitam.worker.common.utils.LogbookLifecycleWorkerHelper

public class LogbookLifecycleWorkerHelper extends Object
Helper for Worker handlers to handle Logbook Lifecycle at startup/at end

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final String`
  `getObjectID(WorkerParameters params)`
  `static void`
  `updateLifeCycleForBegining(LogbookLifeCyclesClientHelper helper, LogbookLifeCycleParameters logbookLifecycleParameters, WorkerParameters params, LogbookTypeProcess logbookTypeProcess)`
  `static void`
  `updateLifeCycleStep(LogbookLifeCyclesClientHelper helper, LogbookLifeCycleParameters logbookLifecycleParameters, WorkerParameters params, String lfcEventType, LogbookTypeProcess logbookTypeProcess, StatusCode statusCode, String... additionalParams)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getObjectID

    public static final String getObjectID(WorkerParameters params)
    Parameters:
      `params` - the worker parameter
    Returns:
      the ObjectID as String

  - ### updateLifeCycleStep

    public static void updateLifeCycleStep(LogbookLifeCyclesClientHelper helper, LogbookLifeCycleParameters logbookLifecycleParameters, WorkerParameters params, String lfcEventType, LogbookTypeProcess logbookTypeProcess, StatusCode statusCode, String... additionalParams) throws ProcessingException
    Parameters:
      `helper` - the LogbookLifeCyclesClientHelper
      `logbookLifecycleParameters` - the parameter of logbook lifecycle
      `params` - the worker parameters
      `lfcEventType` - the event type of lfc
      `logbookTypeProcess` - the logbook type process
      `statusCode` - the global status code
      `additionalParams` - the additional params
    Throws:
      `ProcessingException` - if logbook lfc ressouce not found

  - ### updateLifeCycleForBegining

    public static void updateLifeCycleForBegining(LogbookLifeCyclesClientHelper helper, LogbookLifeCycleParameters logbookLifecycleParameters, WorkerParameters params, LogbookTypeProcess logbookTypeProcess) throws ProcessingException
    Parameters:
      `helper` - the LogbookLifeCyclesClientHelper
      `logbookLifecycleParameters` - the parameter of logbook lifecycle
      `params` - the parameters the worker parameters
    Throws:
      `ProcessingException` - if logbook lfc ressouce not found